Skip to main content
GET
/
api
/
v1
/
refinements
/
{refinement_id}
/
snapshots
/
{version}
Get Refinement Snapshot
curl --request GET \
  --url https://api.example.com/api/v1/refinements/{refinement_id}/snapshots/{version} \
  --header 'Authorization: Bearer <token>'
{
  "analysis": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "decisions": [
    "<string>"
  ],
  "description": "<string>",
  "id": "<string>",
  "in_scope": [
    "<string>"
  ],
  "labels": [
    "<string>"
  ],
  "out_of_scope": [
    "<string>"
  ],
  "qa_snapshot": [
    {}
  ],
  "refinement_id": "<string>",
  "title": "<string>",
  "version": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

refinement_id
string
required
version
integer
required

Response

Successful Response

Schema for a refinement snapshot — immutable version.

analysis
string | null
required
created_at
string<date-time>
required
created_by
string
required
decisions
string[] | null
required
description
string | null
required
id
string
required
in_scope
string[] | null
required
labels
string[] | null
required
out_of_scope
string[] | null
required
qa_snapshot
Qa Snapshot · object[] | null
required
refinement_id
string
required
title
string
required
version
integer
required
Last modified on May 8, 2026